| Kea 3.0.2-git

isc::asiolink::IOAddress::Hash Struct Reference

An `IOAddress` hash enabling the use in the unordered STL containers. More...

`#include <io_address.h>`

## Public Member Functions
size_t | operator() (const IOAddress &io_address) const
| A hashing operator.

## Detailed Description

An `IOAddress` hash enabling the use in the unordered STL containers.

Definition at line 50 of file io_address.h.

## Member Function Documentation

## ◆ operator()()

size_t isc::asiolink::IOAddress::Hash::operator() | ( | const IOAddress & | io_address | ) | const

A hashing operator.

Parameters

  io_address | an address to be hashed.

Returns
  a hashing result.

Definition at line 36 of file io_address.cc.

References isc::asiolink::IOAddress::IOAddress(), and isc::asiolink::hash_value().

Here is the call graph for this function:

The documentation for this struct was generated from the following files:

- io_address.h
- io_address.cc